Bug 6140 - Set a timeout to z3950 servers that could have network problems occasionally
Summary: Set a timeout to z3950 servers that could have network problems occasionally
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Z39.50 / SRU / OpenSearch Servers (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Juan Romay Sieira
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-08 10:24 UTC by Juan Romay Sieira
Modified: 2013-12-05 20:05 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
pro (11.07 KB, patch)
2011-04-08 10:24 UTC, Juan Romay Sieira
Details | Diff | Splinter Review
Patch to apply in current master (10.36 KB, patch)
2012-02-13 10:47 UTC, Juan Romay Sieira
Details | Diff | Splinter Review
Patch to apply in current master (11.58 KB, patch)
2012-03-21 14:06 UTC, Juan Romay Sieira
Details | Diff | Splinter Review
patch signed off (11.58 KB, patch)
2012-03-21 17:33 UTC, laurenthdl
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Juan Romay Sieira 2011-04-08 10:24:41 UTC Comment hidden (obsolete)
Comment 1 Juan Romay Sieira 2012-02-13 10:47:36 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2012-02-22 17:03:59 UTC
Is the timeout setting in seconds? I would suggest adding that information to the Z39.50 server entry form. I recommend this:

Timeout (Enter 0 for no timeout): [      ] seconds

I would also like to see a message displayed on the search results screen about which servers were skipped because of a timeout. There's already error output for "actual" timeouts, so it's logical to include these "voluntary" timeouts too.
Comment 3 Juan Romay Sieira 2012-03-21 14:06:26 UTC Comment hidden (obsolete)
Comment 4 laurenthdl 2012-03-21 17:33:23 UTC
Created attachment 8453 [details] [review]
patch signed off
Comment 5 Paul Poulain 2012-03-22 17:27:19 UTC
QA comment:
* code very clean
* add an interesting fallback in case of timeout
* could not test a timeout case, but everything still works if the z3950 server is responsive enough.
* the "timeout" error message is displayed in case of timeout (at least reading the code)

passed QA
Comment 6 Jared Camins-Esakov 2012-12-31 00:46:29 UTC
There have been no further reports of problems so I am marking this bug resolved.